org.eclipse.ease.modules

## Class NativeEnvironment

- java.lang.Object
- - org.eclipse.ease.modules.AbstractScriptModule
  - - org.eclipse.ease.modules.AbstractEnvironment
    - - org.eclipse.ease.modules.NativeEnvironment

All Implemented Interfaces:
  IEnvironment, IScriptModule

    public class NativeEnvironment
    extends AbstractEnvironment
    implements IEnvironment

### Constructor Summary

Constructors
Constructor and Description
`NativeEnvironment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `wrap(Object module)` Wrap a java instance.

### Methods inherited from class org.eclipse.ease.modules.AbstractEnvironment

`addModuleListener, getEnvironment, getModule, getModule, getModules, initialize, listModules, loadModule, print, printError, readInput, removeModuleListener`

### Methods inherited from class org.eclipse.ease.modules.AbstractScriptModule

`getScriptEngine`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.modules.IEnvironment

`addModuleListener, getModule, getModule, getModules, getScriptEngine, loadModule, print, removeModuleListener`

### Constructor Detail

#### NativeEnvironment

    public NativeEnvironment()

### Method Detail

#### wrap

    public void wrap(Object module)

Description copied from interface: `IEnvironment`
Wrap a java instance. Will create accessors in the target language for methods and constants defined by the java instance toBeWrapped. If the instance contains annotations of type `WrapToScript` only these will be wrapped. If no annotation can be found, all public methods/constants will be wrapped. As some target languages might not support method overloading this might result in some methods not wrapped correctly.

Specified by:
  `wrap` in interface `IEnvironment`
Parameters:
  `module` - instance to be wrapped